Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.bios
Class BIOS

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleBIOS
              dioscuri.module.bios.BIOS

All Implemented Interfaces:
  Module

    public class BIOS

extends ModuleBIOS

An implementation of a hardware BIOS module.

Contains: - 64 KB of ROM - CMOS settings

See Also:
  `

  Metadata module ******************************************** general.type : bios general.name : BIOS ROM general.architecture : Von Neumann general.description : General implementation of BIOS ROM chip. general.creator : Tessella Support Services, Koninklijke Bibliotheek, Nationaal Archief of the Netherlands general.version : 1.0 general.keywords : bios, ROM, 64KB, 32KB, bootstrap, system bios, video bios, optional rom general.relations : cpu, memory general.yearOfIntroduction : general.yearOfEnding : general.ancestor : general.successor : bios.romsize : 64 + 32 KB bios.settings : CMOS

  Notes: none`

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`BIOS(Emulator owner)` Class constructor

Method Summary
`java.lang.String` | `getDump()` Return a dump of module status
`byte[]` | `getSystemBIOS()` Returns the system BIOS code from ROM
`byte[]` | `getVideoBIOS()` Returns the Video BIOS code from ROM
`boolean` | `reset()` Reset all parameters of module.
`boolean` | `setSystemBIOS(byte[] biosCode)` Sets the system BIOS code in ROM
`boolean` | `setVideoBIOS(byte[] biosCode)` Sets the Video BIOS code in ROM

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getExpectedConnections, getType, isConnected, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BIOS

    public BIOS(Emulator owner)

  Class constructor

  Parameters:
    `owner` -

Method Detail

### reset

    public boolean reset()

  Reset all parameters of module.

  Specified by:
    `reset` in interface `Module`
  Specified by:
    `reset` in class `AbstractModule`
  Returns:
    true iff the AbstractModule was reset properly.
  See Also:
    `AbstractModule`

### getDump

    public java.lang.String getDump()

  Return a dump of module status

  Provides a dummy implementation since many of the subclasses of this abstract module class do not need or use a getDump() implementation. The ones that do, can override this method.

  Specified by:
    `getDump` in interface `Module`
  Overrides:
    `getDump` in class `AbstractModule`
  Returns:
    string containing a dump of this module
  See Also:
    `AbstractModule`

### getSystemBIOS

    public byte[] getSystemBIOS()

  Returns the system BIOS code from ROM

  Specified by:
    `getSystemBIOS` in class `ModuleBIOS`
  Returns:
    byte[] biosCode containing the binary code of System BIOS
  See Also:
    `ModuleBIOS`

### setSystemBIOS

    public boolean setSystemBIOS(byte[] biosCode)
                          throws ModuleException

  Sets the system BIOS code in ROM

  Specified by:
    `setSystemBIOS` in class `ModuleBIOS`
  Returns:
    true if BIOS code is of specified SYSTEMBIOS_ROM_SIZE and store is successful, false otherwise
  Throws:
    `ModuleException`
  See Also:
    `ModuleBIOS`

### getVideoBIOS

    public byte[] getVideoBIOS()

  Returns the Video BIOS code from ROM

  Specified by:
    `getVideoBIOS` in class `ModuleBIOS`
  Returns:
    byte[] biosCode containing the binary code of Video BIOS
  See Also:
    `ModuleBIOS`

### setVideoBIOS

    public boolean setVideoBIOS(byte[] biosCode)
                         throws ModuleException

  Sets the Video BIOS code in ROM

  Specified by:
    `setVideoBIOS` in class `ModuleBIOS`
  Returns:
    true if BIOS code is of specified VIDEOBIOS_ROM_SIZE and store is successful, false otherwise
  Throws:
    `ModuleException`
  See Also:
    `ModuleBIOS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD